# Class BaseNode

java.lang.Object
jebl.evolution.trees.BaseNode

All Implemented Interfaces:
  `Node, Attributable`

public abstract class BaseNode extends Object implements Node
Common implementation of Attributable interface used by Nodes.

Version:
  $Id: BaseNode.java 956 2008-11-30 01:18:20Z rambaut $
Author:
  Joseph Heled

## Nested Class Summary

### Nested classes/interfaces inherited from interface Attributable

`Attributable.Utils`

## Constructor Summary

Constructors
Constructor
Description
`BaseNode()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAttribute(String name)`
`Map<String,Object>`
`getAttributeMap()`
Gets the entire attribute map.
`Set<String>`
`getAttributeNames()`
`void`
`removeAttribute(String name)`
`void`
`setAttribute(String name, Object value)`
Sets an named attribute for this object.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Node

`getDegree`

## Constructor Details

### BaseNode

public BaseNode()

## Method Details

### setAttribute

public void setAttribute(String name, Object value)
Description copied from interface: `Attributable`
Sets an named attribute for this object.

Specified by:
  `setAttribute` in interface `Attributable`
Parameters:
  `name` - the name of the attribute.
  `value` - the new value of the attribute.

### getAttribute

public Object getAttribute(String name)

Specified by:
  `getAttribute` in interface `Attributable`
Parameters:
  `name` - the name of the attribute of interest, or null if the attribute doesn't exist.
Returns:
  an object representing the named attributed for this object.

### removeAttribute

public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `Attributable`
Parameters:
  `name` - name of attribute to remove

### getAttributeNames

public Set<String> getAttributeNames()

Specified by:
  `getAttributeNames` in interface `Attributable`
Returns:
  an array of the attributeNames that this object has.

### getAttributeMap

public Map<String,Object> getAttributeMap()
Description copied from interface: `Attributable`
Gets the entire attribute map.

Specified by:
  `getAttributeMap` in interface `Attributable`
Returns:
  an unmodifiable map